package com.orange.widget.vm

import android.util.Log
import androidx.lifecycle.MutableLiveData
import com.orange.myapplication.data.work.data.WeatherData
import com.orange.origin.origin.BaseViewModel
//import com.orange.widget_apptt.model.MainOfWork
import com.orange.widget.model.MainOfWork

class MainViewModel:BaseViewModel() {
    val weatherData = MutableLiveData<WeatherData>()
    var model:MainOfWork = MainOfWork()

    fun getInfo(){
        request(
            {
                model.getInfo()
            },{
                weatherData.value = it
            },{
                Log.i("eee","err = "+it)
            }
        )

    }
}